{% extends 'app_base.html.twig' %}

{% block title %}Admin - Users {% endblock %}

{% block body %}
    <nav aria-label="breadcrumb" class="bg-primary-subtle pt-xl-1 pb-xl-1 ps-3 mb-4">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="{{ path('app_home') }}">{{ 'breadcrumb.homepage'|trans }}</a>
            </li>
            <li class="breadcrumb-item">
                <a href="{{ path('app_admin') }}">{{ 'breadcrumb.admin'|trans }}</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">{{ 'breadcrumb.admin.users'|trans }}</li>
        </ol>
    </nav>

    <div class="mb-5">
        <h1>Users </h1>

        <a href="{{ path('app_admin_users_add_manager') }}"
           class="btn btn-primary  btn-lg px-4">
            <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="currentColor" class="bi bi-person-add" viewBox="0 0 16 16">
                <path d="M12.5 16a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7Zm.5-5v1h1a.5.5 0 0 1 0 1h-1v1a.5.5 0 0 1-1 0v-1h-1a.5.5 0 0 1 0-1h1v-1a.5.5 0 0 1 1 0Zm-2-6a3 3 0 1 1-6 0 3 3 0 0 1 6 0ZM8 7a2 2 0 1 0 0-4 2 2 0 0 0 0 4Z"/>
                <path d="M8.256 14a4.474 4.474 0 0 1-.229-1.004H3c.001-.246.154-.986.832-1.664C4.484 10.68 5.711 10 8 10c.26 0 .507.009.74.025.226-.341.496-.65.804-.918C9.077 9.038 8.564 9 8 9c-5 0-6 3-6 4s1 1 1 1h5.256Z"/>
            </svg> &nbsp;
            Add a new <strong>manager</strong>
        </a>
        &nbsp;&nbsp;
        <a href="{{ path('app_admin_users_add_admin') }}"
           class="btn btn-outline-dark btn-lg px-4">
            <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="currentColor" class="bi bi-person-add" viewBox="0 0 16 16">
                <path d="M12.5 16a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7Zm.5-5v1h1a.5.5 0 0 1 0 1h-1v1a.5.5 0 0 1-1 0v-1h-1a.5.5 0 0 1 0-1h1v-1a.5.5 0 0 1 1 0Zm-2-6a3 3 0 1 1-6 0 3 3 0 0 1 6 0ZM8 7a2 2 0 1 0 0-4 2 2 0 0 0 0 4Z"/>
                <path d="M8.256 14a4.474 4.474 0 0 1-.229-1.004H3c.001-.246.154-.986.832-1.664C4.484 10.68 5.711 10 8 10c.26 0 .507.009.74.025.226-.341.496-.65.804-.918C9.077 9.038 8.564 9 8 9c-5 0-6 3-6 4s1 1 1 1h5.256Z"/>
            </svg> &nbsp;
            Add a new <strong>administrator</strong>
        </a>
    </div>
    <hr class="col-3 col-md-2 mb-5">

    <table class="table">
        <thead>
        <tr>
            <th>Id</th>
            <th>Email</th>
            <th>Status</th>
            <th>Roles</th>
        </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
                <td>{{ user.id }}</td>
                <td>
                    <a href="{{ path('app_admin_users_display', {'id': user.id}) }}">
                        {{ user.email }}</a>
                </td>
                <td>
                    {% if user.isActive == false %}
                        <strong  class="text-danger">Disabled</strong>
                    {% else %}
                        <strong  class="text-success">Enabled</strong>
                    {% endif %}
                </td>
                <td>{{ user.roles ? user.roles|json_encode : '' }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% include "app_helpers/app_paginator.html.twig" %}

{% endblock %}
